# Uses of Class
org.apache.lucene.search.uhighlight.Passage

Packages that use Passage
Package
Description
org.apache.lucene.search.uhighlight
The UnifiedHighlighter -- a flexible highlighter that can get offsets from postings, term vectors, or analysis.

- ## Uses of Passage in org.apache.lucene.search.uhighlight

  Fields in org.apache.lucene.search.uhighlight with type parameters of type Passage
  Modifier and Type
  Field
  Description
  `protected final Comparator<Passage>`
  FieldHighlighter.`passageSortComparator`
  Methods in org.apache.lucene.search.uhighlight that return Passage
  Modifier and Type
  Method
  Description
  `protected Passage[]`
  FieldHighlighter.`getSummaryPassagesNoHighlight(int maxPassages)`
  Called to summarize a document when no highlights were found.
  `protected Passage[]`
  FieldHighlighter.`highlightOffsetsEnums(OffsetsEnum off)`
  Methods in org.apache.lucene.search.uhighlight that return types with arguments of type Passage
  Modifier and Type
  Method
  Description
  `protected Comparator<Passage>`
  UnifiedHighlighter.`getPassageSortComparator(String field)`
  Returns the `Comparator` to use for finally sorting passages.
  Methods in org.apache.lucene.search.uhighlight with parameters of type Passage
  Modifier and Type
  Method
  Description
  `String`
  DefaultPassageFormatter.`format(Passage[] passages, String content)`
  `abstract Object`
  PassageFormatter.`format(Passage[] passages, String content)`
  Formats the top `passages` from `content` into a human-readable text snippet.
  `float`
  PassageScorer.`score(Passage passage, int contentLength)`
  Method parameters in org.apache.lucene.search.uhighlight with type arguments of type Passage
  Modifier and Type
  Method
  Description
  `protected FieldHighlighter`
  UnifiedHighlighter.`newFieldHighlighter(String field, FieldOffsetStrategy fieldOffsetStrategy, BreakIterator breakIterator, PassageScorer passageScorer, int maxPassages, int maxNoHighlightPassages, PassageFormatter passageFormatter, Comparator<Passage> passageSortComparator)`
  `UnifiedHighlighter.Builder`
  UnifiedHighlighter.Builder.`withPassageSortComparator(Comparator<Passage> value)`
  Constructor parameters in org.apache.lucene.search.uhighlight with type arguments of type Passage
  Modifier
  Constructor
  Description
  ``
  `FieldHighlighter(String field, FieldOffsetStrategy fieldOffsetStrategy, BreakIterator breakIterator, PassageScorer passageScorer, int maxPassages, int maxNoHighlightPassages, PassageFormatter passageFormatter, Comparator<Passage> passageSortComparator)`